Log in or register to post comments

Vuforia package conflict

April 14, 2021 - 9:07pm #1

Hi, I used MRTK 2.6.1 with Vuforia 9.8.1 to built a project.

Before I import this project to HoloLens2, everything seems fine.

When I install appx to HoloLens2, it showed me the error:

Failure reason: Windows cannot install package Vuforia.Engine.VuforiaEngine_1.0.1.0_neutral_~_34hy545bcent8 because a different package Vuforia.Engine.VuforiaEngine_0.2.17.0_neutral_~_pzq3xp76mxafg with the same name is already installed. Remove package Vuforia.Engine.VuforiaEngine_0.2.17.0_neutral_~_pzq3xp76mxafg before installing. Failure text: Package failed updates, dependency or conflict validation. (0x80073cf3)

My project name and package name are not "Vuforia.Engine.VuforiaEngine", but the version number is same.

I have installed another MRTK project on HoloLens2. That one installed  correctly.

Does anyone know what's happen?

Vuforia package conflict

April 26, 2021 - 2:10am #2

Hi,

As per the error, the second app that you are currently trying to install is in conflict to an app already installed on the HL2. By removing the already installed app, the issue should be resolved.

Could you please go under PlayerSettings->Publishing Settings->Packaging and confirm the Package name? It should be the same as for the first app installed, please modify it.

Thank you.

Vuforia Engine Support

Log in or register to post comments